{
    onWeather(target, source, effect) {
        if (effect.id === "hail" || effect.id === "snow") {
            this.heal(target.baseMaxhp / 8);
        }
    },
    onImmunity(type, pokemon) {
        if (type === "hail")
            return false;
    },
    onDamagingHit(damage, target, source, move) {
        if (this.checkMoveMakesContact(move, source, target)) {
            if (this.randomChance(3, 10)) {
                source.trySetStatus("frz", target);
            }
        }
    },
    flags: {},
    name: "Ice Body",
    rating: 1,
    num: 115
}
